#ifndef __USB_CDC_VCOM_H__
#define __USB_CDC_VCOM_H__

#include "usb_common.h"
#include "hal_usbd.h"
#include "hal_usbd_init.h"
#include "hal_usbd_reg.h"
#include "usb_device.h"
#include "debug.h"
#include "board.h"
#include "cdc.h"


void cdc_show_uart_wave(uint16_t ch0, uint16_t ch1, uint16_t ch2, uint16_t ch3, uint16_t ch4);
void usbd_cdc_vcom_puts_hex(uint8_t *addr, uint32_t len);
void usbd_cdc_vcom_print(const char *fmt, ...);
void usbd_cdc_vcom_send(char* buf);

ufunction_t rt_usbd_function_cdc_vcom_create(udevice_t device);


#endif /* __USB_CDC_VCOM_H__ */
